<tryton>
    <data>
        <record model="ir.ui.icon" id="btb_icon">
            <field name="name">tradon-btb</field>
            <field name="path">icons/tradon-btb.svg</field>
        </record>

        <record model="ir.ui.view" id="btb_view_form">
            <field name="model">back.to.back</field>
            <field name="type">form</field>
            <field name="name">btb_form</field>
        </record>

        <record model="ir.ui.view" id="purchase_btb_view_form">
            <field name="model">purchase.purchase</field>
            <field name="type">form</field>
            <field name="name">purchase_btb_form</field>
        </record>

        <record model="ir.ui.view" id="purchase_line_btb_view_form">
            <field name="model">purchase.line</field>
            <field name="type">form</field>
            <field name="name">purchase_line_btb_form</field>
        </record>
        <record model="ir.ui.view" id="sale_line_btb_view_form">
            <field name="model">sale.line</field>
            <field name="type">form</field>
            <field name="name">sale_line_btb_form</field>
        </record>

        <record model="ir.ui.view" id="btb_view_list">
            <field name="model">back.to.back</field>
            <field name="type">tree</field>
            <field name="name">btb_tree</field>
        </record>
        
        <record model="ir.action.act_window" id="act_btb_form">
            <field name="name">Back to back</field>
            <field name="res_model">back.to.back</field>
        </record>
        <record model="ir.action.act_window.view" id="act_btb_form_view1">
            <field name="sequence" eval="10"/>
            <field name="view" ref="btb_view_list"/>
            <field name="act_window" ref="act_btb_form"/>
        </record>
        <record model="ir.action.act_window.view" id="act_btb_form_view2">
            <field name="sequence" eval="20"/>
            <field name="view" ref="btb_view_form"/>
            <field name="act_window" ref="act_btb_form"/>
        </record>

        <menuitem
            name="Back to back"
            sequence="99"
            id="menu_btb_main"
            icon="tradon-btb" />
        <menuitem
            name="Back to back"
            action="act_btb_form"
            parent="menu_btb_main"
            sequence="10"
            id="menu_btb" />
        
    </data>
</tryton>